package com.fs.qw.event;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
@EqualsAndHashCode(callSuper = true)
public class EventMessageText extends EventQwMessage {
    private String content; // 消息内容
    private List<EventMessageTextAt> atList; // @列表
    private Integer systemType; // 系统类型：0普通消息；1因被拉黑而拒收；2因被删除而拒收；99其他消息

    public Map<String, Object> toMap() {
        Map<String, Object> map = new HashMap<>();
        map.put("content", content);
        map.put("atList", atList);
        map.put("systemType", systemType);
        return map;
    }
}
